You are not logged in.

#1 2012-11-02 16:47:03

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

[SOLVED] GNOME 3.6 Authentication is required to mount, power off

Hi!
I'm using Arch 32-bit, Gnome 3.6 with systemd. Yesterday i did pacman -Syu and it upgraded Gnome.
Since then my external drive is not automounting. When i click on it requires authentication to mount the
drive. There is also duplicate of the same drive when i click on it i get this error: Unable to access location.

When i try to power off or restart it requires also authentication and hibernate and suspend option are missing.

I've been using systemd for a month never had a problem, all this start with Gnome update and logind.

Last edited by decaturguy (2012-11-06 20:38:12)

Offline

#2 2012-11-02 18:07:07

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

are you using some version of polkit from aur?


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#3 2012-11-02 18:17:03

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

wonder wrote:

are you using some version of polkit from aur?

no i'm using the one in extra.
pacman -Q polkit
polkit 0.107-4

Offline

#4 2012-11-03 12:29:12

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

I'm having the same issue here : GNOME asks me for my root password each time I want to shutdown the computer or open a USB drive. Also, the Software app (gnome-packagekit) doesn't install or update anything.

Is this could be related to the switch to logind ? According to this wiki page, my session is not valid (I see "Active=no" when I do "loginctl show-session $XDG_SESSION_ID"), but I can't figure out how to fix this. I'm using systemd for a month and I didn't have this issue before upgrading to GNOME 3.6, four days ago.

Last edited by hellpe (2012-11-03 12:39:53)

Offline

#5 2012-11-03 12:43:56

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Can the problem be GDM?
When i logout and login in Gnome my external drive is mounted and hibernate and suspend
options are back and it doesn't ask for authentication.

I disabled gdm.service rebooted and run startx, and it works.
I removed and reinstalled gdm it didn't help.

Anybody else having this problem?

Offline

#6 2012-11-03 14:00:44

gguix
Member
Registered: 2012-11-03
Posts: 2

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Hi,

My session was correctly set to "Active=yes" in "loginctl show-session $XDG_SESSION_ID", but I had the same problem anyway with root authentication needed to mount external drives.
I fixed it by editing the "org.freedesktop.udisks2.filesystem-mount-system" section in /usr/share/polkit-1/actions/org.freedesktop.udisks2.policy with <allow_active>yes</allow_active> (instead of auth_admin_keep by default).

It seems that pkla files in /etc/polkit-1/localauthority have no effect anymore. Running strace on /usr/lib/polkit-1/polkitd shows that it doesn't try to open the files in there. There must be a way to override default policy in /etc/polkit-1, but I haven't managed to get it work since the last upgrade and the problem with editing files in /usr/share/polkit-1/actions/ is that they'll get overriden at the next upgrade.

About the duplicate drive issue, the following discussion might help: https://bbs.archlinux.org/viewtopic.php?id=151856

Cheers

Last edited by gguix (2012-11-03 14:20:04)

Offline

#7 2012-11-03 15:59:54

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Just found this on the French Arch Linux wiki. Basically, it says that polkit is looking by default if the user session is "implicit" (not remote) and "active" before allowing the user to shutdown ; you can check if it is the case on your system by doing :

pkaction --action-id org.freedesktop.login1.power-off --verbose

I still can't find out why my own session is always "online" but not "active" though.

Offline

#8 2012-11-03 18:19:03

siamer
Member
Registered: 2012-04-29
Posts: 132

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Hello.

I have the same problem... I updated system on 2 PC's and problem is the same on both of them... any more ideas how to fix it ? but in my sittuation is asking for USER password NOT root password (don't know why)...

Regards,
siamer

Offline

#9 2012-11-04 02:09:54

gguix
Member
Registered: 2012-11-03
Posts: 2

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

I solved the issue regarding mount of external drives by creating the file /etc/polkit-1/rules.d/10-mount-system.rules containing:

polkit.addRule (function (a,s) {
    if (a.id == 'org.freedesktop.udisks2.filesystem-mount-system' && s.isInGroup('users'))
        return polkit.Result.YES;
});

The syntax and subject parameters ('s' variable) which can be used are described in 'man 8 polkit'.

Offline

#10 2012-11-04 12:17:18

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

gguix wrote:

I solved the issue regarding mount of external drives by creating the file /etc/polkit-1/rules.d/10-mount-system.rules containing:

polkit.addRule (function (a,s) {
    if (a.id == 'org.freedesktop.udisks2.filesystem-mount-system' && s.isInGroup('users'))
        return polkit.Result.YES;
});

The syntax and subject parameters ('s' variable) which can be used are described in 'man 8 polkit'.

This doesn't work for sad

Offline

#11 2012-11-04 18:49:15

siamer
Member
Registered: 2012-04-29
Posts: 132

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

I don't have problem with extension hard drive, only problem is authorization with turning off computer.... any ideas ?

Regards,
siamer

Offline

#12 2012-11-05 22:08:40

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Here is the solution!
Have rc-local.service run before display-manager.service

Save this to /etc/systemd/system/ rc-local.service

[Unit]
Description=/etc/rc.local Compatibility
Before=display-manager.service

[Service]
Type=oneshot
ExecStart=/etc/rc.local
TimeoutSec=0
StandardInput=tty
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target

Run:
systemctl reenable  rc-local.service
reboot

Offline

#13 2012-11-06 15:22:38

steffinger
Member
From: Munich/Beijing
Registered: 2011-02-07
Posts: 40

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Are you really still using initscripts? I had the same problem that you describe and solved it simply by deleting /etc/systemd/system/graphical-target-wants/getty@tty1.service
It's save to remove this link, as it doesn't link anywhere now. As of now i would recommend to delete all broken links in /etc/systemd/ , because systemd is (at this point of time) not very good in cleaning up this folder and broken links might lead to strange behavior in your system.
An easy way to find out which links are broken in /etc/systemd, is to use nautilus to look at this folder. It shows you which links are functional and which aren't.

Offline

#14 2012-11-06 17:09:35

siamer
Member
Registered: 2012-04-29
Posts: 132

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

steffinger your solution is WORKING ! Thanks ! Really helpfull smile

Offline

#15 2012-11-06 17:44:20

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

The solution provided by decaturguy didn't work for me, and I don't have any broken link in /etc/systemd. Also, my session is still not active.

Offline

#16 2012-11-06 17:50:46

65kid
Member
From: Germany
Registered: 2011-01-26
Posts: 663

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

hellpe wrote:

Also, my session is still not active.

Well, we may be able to help if you would provide any kind of information regarding your login procedure (display manager, startx, xinit.... ?).

Offline

#17 2012-11-06 18:41:14

steffinger
Member
From: Munich/Beijing
Registered: 2011-02-07
Posts: 40

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

@hellpe: you say you use systemd for a month now and don't have any broken links in /etc/systemd and its subfolders? have you been using pure systemd or an initscript/ systemd mix? have you removed all the deprecated packages? so many questions...  the whole output of your

loginctl show-session $XDG_SESSION_ID 

would also be interesting.

Offline

#18 2012-11-06 19:57:40

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

steffinger wrote:

Are you really still using initscripts? I had the same problem that you describe and solved it simply by deleting /etc/systemd/system/graphical-target-wants/getty@tty1.service
It's save to remove this link, as it doesn't link anywhere now. As of now i would recommend to delete all broken links in /etc/systemd/ , because systemd is (at this point of time) not very good in cleaning up this folder and broken links might lead to strange behavior in your system.
An easy way to find out which links are broken in /etc/systemd, is to use nautilus to look at this folder. It shows you which links are functional and which aren't.

Haha you are right! i was 100% sure that i removed initscripts, the stupid thing was plymouth-git depends on initscripts thats
why is still installed on my system. Damn i haven't used Plymouth in a very long time. I just removed both and everything is okay.

Thanks you everyone for help.

Last edited by decaturguy (2012-11-06 20:47:09)

Offline

#19 2012-11-07 19:51:23

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

65kid wrote:
hellpe wrote:

Also, my session is still not active.

Well, we may be able to help if you would provide any kind of information regarding your login procedure (display manager, startx, xinit.... ?).

I'm using Plymouth (from "plymouth-git" in the AUR) and GDM (with autologin). That's all I know about my login procedure. Also, I guess I'm booting with systemd only, since I removed the "initscripts" package, as advised in the wiki.

And here's the full output of "loginctl show-session $XDG_SESSION_ID "

$ loginctl show-session $XDG_SESSION_ID
Id=1
Timestamp=Wed, 2012-11-07 18:43:09 CET
TimestampMonotonic=20776866
DefaultControlGroup=name=systemd:/user/hellpe/1
VTNr=0
Display=:1
Remote=no
Service=gdm-autologin
Leader=316
Audit=1
Type=x11
Class=user
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=1352317379558479
IdleSinceHintMonotonic=7210867336
Name=hellpe

Offline

#20 2012-11-07 23:19:47

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

@Hellpe

run this command and post the result.

systemctl list-unit-files |grep enabled

post whats inside: /etc/systemd/system + whats inside each subfolders.

Offline

#21 2012-11-07 23:53:02

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

decaturguy, there you are :

$ systemctl list-unit-files |grep enabled
dbus-org.freedesktop.NetworkManager.service enabled 
display-manager.service                     enabled 
gdm-plymouth.service                        enabled 
getty@.service                              enabled 
NetworkManager.service                      enabled 
remote-fs.target                            enabled
$ ls -lR /etc/systemd/system
/etc/systemd/system:
total 16
lrwxrwxrwx 1 root root   46  7 nov.  17:43 dbus-org.freedesktop.NetworkManager.service -> /usr/lib/systemd/system/NetworkManager.service
lrwxrwxrwx 1 root root   44  7 sept. 16:16 display-manager.service -> /usr/lib/systemd/system/gdm-plymouth.service
drwxr-xr-x 2 root root 4096 16 juil. 15:48 getty.target.wants
drwxr-xr-x 2 root root 4096 25 oct.  02:37 local-fs.target.wants
drwxr-xr-x 2 root root 4096  7 nov.  17:43 multi-user.target.wants
drwxr-xr-x 2 root root 4096 25 oct.  02:37 sysinit.target.wants

/etc/systemd/system/getty.target.wants:
total 0
lrwxrwxrwx 1 root root 38 16 juil. 15:48 getty@tty1.service -> /usr/lib/systemd/system/getty@.service

/etc/systemd/system/local-fs.target.wants:
total 0

/etc/systemd/system/multi-user.target.wants:
total 0
lrwxrwxrwx 1 root root 46  7 nov.  17:43 NetworkManager.service -> /usr/lib/systemd/system/NetworkManager.service
lrwxrwxrwx 1 root root 40 25 oct.  02:37 remote-fs.target -> /usr/lib/systemd/system/remote-fs.target

/etc/systemd/system/sysinit.target.wants:
total 0

Offline

#22 2012-11-07 23:59:15

65kid
Member
From: Germany
Registered: 2011-01-26
Posts: 663

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

You are using gdm-plymouth which I assume hasn't been updated to support logind.

Offline

#23 2012-11-08 00:16:58

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

Actually, I don't have gdm-plymouth installed on my system, only plymouth-git from AUR which does not depends on gdm-plymouth.

I'm gonna try something else : I just noticed some conversation has taken place on the plymouth AUR page about some systemd issues. I'll switch from plymouth-git to plymouth to see if there is any difference. Cannot do that right now, 'cause the freedesktop servers seem to be down. I'll keep you informed.

Last edited by hellpe (2012-11-08 00:49:46)

Offline

#24 2012-11-08 06:32:10

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

How about try to disable plymouth-gdm.service and enable gdm.service

Offline

#25 2012-11-08 11:57:55

hellpe
Member
From: France
Registered: 2012-11-03
Posts: 15

Re: [SOLVED] GNOME 3.6 Authentication is required to mount, power off

decaturguy wrote:

How about try to disable plymouth-gdm.service and enable gdm.service

I did just that after switching from plymouth-git to plymouth, and that fixed my problem : now I can reboot, suspend, mount removable drives and use Gnome Packagekit without entering my password.

Thanks a lot for your help !

Last edited by hellpe (2012-11-08 11:58:05)

Offline

Board footer

Powered by FluxBB